unit InfoMess;

interface

uses
   Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
   Dialogs, ExtCtrls, StdCtrls, Buttons, TntForms, TntStdCtrls, TntButtons, MMSystem;

type
   TfrmInfoMess = class(TTntForm)
      Image: TImage;
      btnOK: TTntBitBtn;
      lblMess: TTntLabel;
      cbNoConfirm: TTntCheckBox;
      procedure TntFormShow(Sender: TObject);
      procedure TntFormActivate(Sender: TObject);
   private
      { Private declarations }
   public
      { Public declarations }
   end;

var
   frmInfoMess: TfrmInfoMess;

implementation

uses MainForm, AddEdit;

{$R *.dfm}

procedure TfrmInfoMess.TntFormShow(Sender: TObject);
begin
   Width := Round(1.5 * Image.Left) + lblMess.Left + lblMess.Width + Width - ClientWidth;
   btnOK.Left := lblMess.Left + lblMess.Width - btnOK.Width;
   Height := 3 * Image.Top + lblMess.Height - btnOK.Top + Height;

   if frmAddEdit <> nil then
   begin
      Left := frmAddEdit.Left + ((frmAddEdit.Width - Width) div 2);
      if Left < Screen.WorkAreaLeft then
         Left := Screen.WorkAreaLeft
      else if Left + Width > Screen.WorkAreaRect.Right then
         Left := Screen.WorkAreaRect.Right - Width;

      Top := frmAddEdit.Top + ((frmAddEdit.Height - Height) div 2);
      if Top < Screen.WorkAreaTop then
         Top := Screen.WorkAreaTop
      else if Top + Height > Screen.WorkAreaRect.Bottom then
         Top := Screen.WorkAreaRect.Bottom - Height;
   end
   else
   begin
      Left := frmMain.Left + ((frmMain.Width - Width) div 2);
      if Left < Screen.WorkAreaLeft then
         Left := Screen.WorkAreaLeft
      else if Left + Width > Screen.WorkAreaRect.Right then
         Left := Screen.WorkAreaRect.Right - Width;

      Top := frmMain.Top + ((frmMain.Height - Height) div 2);
      if Top < Screen.WorkAreaTop then
         Top := Screen.WorkAreaTop
      else if Top + Height > Screen.WorkAreaRect.Bottom then
         Top := Screen.WorkAreaRect.Bottom - Height;
   end;
end;

procedure TfrmInfoMess.TntFormActivate(Sender: TObject);
var
   Snap: Boolean;
begin
   Refresh;
   try
      PlaySound('SystemAsterisk', 0, SND_ALIAS or SND_ASYNC);
   except
   end;
   try
      Snap := False;
      SystemParametersInfo(SPI_GETSNAPTODEFBUTTON, 1, @Snap, 0);
      if Snap then
         SetCursorPos(ClientOrigin.X + btnOK.Left + btnOK.Width div 2, ClientOrigin.Y + btnOK.Top + btnOK.Height div 2);
   except
   end;
end;

end.

